VpfCoverageTrimmer.Builder (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class VpfCoverageTrimmer.Builder

    java.lang.Object
      com.bbn.openmap.layer.vpf.VpfCoverageTrimmer.Builder

Enclosing class:
  VpfCoverageTrimmer

    public static class VpfCoverageTrimmer.Builder

extends java.lang.Object

Constructor Summary
`VpfCoverageTrimmer.Builder(java.lang.String vpfPath)`

Method Summary
`VpfCoverageTrimmer.Builder` | `addFilterRect(java.awt.geom.Rectangle2D rect)` rect defined in decimal degrees, x, y is upper left corner.
`VpfCoverageTrimmer.Builder` | `addFilterRect(java.lang.String shpFile, java.lang.String column, java.lang.String attribute)`
`VpfCoverageTrimmer` | `create(java.lang.String outputLocationDirectory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VpfCoverageTrimmer.Builder

    public VpfCoverageTrimmer.Builder(java.lang.String vpfPath)
                               throws FormatException

Throws:
  `FormatException`

Method Detail

### addFilterRect

    public VpfCoverageTrimmer.Builder addFilterRect(java.awt.geom.Rectangle2D rect)

  rect defined in decimal degrees, x, y is upper left corner.

  Parameters:
    `rect` -
  Returns:
    Builder

### addFilterRect

    public VpfCoverageTrimmer.Builder addFilterRect(java.lang.String shpFile,
                                                    java.lang.String column,
                                                    java.lang.String attribute)
                                             throws java.net.MalformedURLException,
                                                    FormatException

  Throws:
    `java.net.MalformedURLException`
    `FormatException`

### create

    public VpfCoverageTrimmer create(java.lang.String outputLocationDirectory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details